CONVMVFS(1)

NAME
convmvfs - utility that mirrors a whole filesystem tree from one charset to another.

SYNOPSIS
convmvfs mountpoint [ options ]

DESCRIPTION
This manual page documents briefly the convmvfs command.

convmvfs is a FUSE (File System in Userspace) utility that transparently mirrors a filesystem tree converting the filenames from one charset to another on the fly. Only the names of files and directories are converted, the file content remains intact. The mirrored tree is mounted at the given mountpoint.

OPTIONS

  General options

-o opt[,opt...]
    mount options

-h, --help
    print help

-V, --version
    print version

-h, --help
    show summary of options

  FUSE options

-d, -o debug
    enable debug output (implies -f)

-f  foreground operation

-s  disable multi-threaded operation

-o  Mount options are specified with a -o flag followed by a comma separated list of options. The following options are recognized:

    allow_other
        allow access to other users

    allow_root
        allow access to root

    nonempty
        allow mounts over non-empty file/dir

    default_permissions
        enable permission checking by kernel

    fsname=NAME
        set filesystem name

    large_read
        issue large read requests (2.4 only)

    max_read=N
        set maximum size of read requests

    hard_remove
        immediate removal (don't hide files)

    use_ino
        let filesystem set inode numbers

    readdir_ino
        try to fill in d_ino in readdir

    direct_io
        use direct I/O

    kernel_cache
        cache files in kernel

    umask=M
        set file permissions (octal)

    uid=N
        set file owner

    gid=N
        set file group

    entry_timeout=T
        cache timeout for names (1.0s)

    negative_timeout=T
        cache timeout for deleted names (0.0s)

    attr_timeout=T
        cache timeout for attributes (1.0s)

    srcdir=PATH
        which directory to convert

    icharset=CHARSET
        charset used in srcdir

    ocharset=CHARSET
        charset used in mounted filesystem

NOTES
If you use a normal user account to mount the file system be sure to have r/w permissions to /dev/fuse.

Use iconv --list to see which charsets are supported.

To allow other users to access the mount point use allow_other option.

IMPORTANT: if the mount point and srcdir point at the same directory, readdir call will enter a dead loop. BE SURE TO AVOID THIS SITUATION!

SAMPLE USE
to mount:
$ convmvfs /ftp/pub_gbk -o srcdir=/ftp/pub,icharset=utf8,ocharset=gbk

to unmount:
$ fusermount -u /ftp/pub_gbk

SEE ALSO
fusermount(1), mount(8)

AUTHOR
convmvfs was written by Z.C. Miao <hellwolf.misty@gmail.com>.

This manual page was written by Stanislav Maslovski <stanislav.maslovski@gmail.com>, for the Debian project (but may be used by others).